io.undertow.util

## Class PipeliningExecutor

- java.lang.Object
- - io.undertow.util.PipeliningExecutor

All Implemented Interfaces:
  Executor

Deprecated.

    @Deprecated
    public class PipeliningExecutor
    extends Object
    implements Executor

Executor that will continue to re-run tasks in a loop that are submitted from its own thread.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`PipeliningExecutor(Executor executor)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `execute(Runnable command)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipeliningExecutor

    public PipeliningExecutor(Executor executor)

Deprecated.

### Method Detail

#### execute

    public void execute(Runnable command)

Deprecated.

Specified by:
  `execute` in interface `Executor`